none
PROBLEM!Silverlight upgradation to version 4.0.50524.0.

    Question

  •  hi ,

    i just had an critical update , so i updated .it was actually this update

    http://timheuer.com/blog/archive/2010/06/03/silverlight-4-minor-update-june-2010.aspx

    after it was done , now my application is sending this error when page is loaded .

    "this application was created for an ecpired beta release of silverlight . pleaes contact the owner of this application and have them upgrade their application using an official release of silverlight "

    please guide way forward.

     

    Friday, June 04, 2010 10:50 AM

Answers

  •  i shifted from vs2010 RC to released vs2010 and then installed silverlights tools for visual studio 2010 and all went well.

    Tuesday, June 08, 2010 8:37 AM

All replies

  • after i installed developer version from here

    http://go.microsoft.com/fwlink/?LinkID=188039

    i replace minRuntimeVersion

    as this

     <param name="minRuntimeVersion" value="4.0.50524.0" />
    and anchor's href attribute to 
    		  <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=4.0.50524.0" style="text-decoration:none">
    <img src="http://go.microsoft.com/fwlink/?LinkId=161376" alt="Get Microsoft Silverlight" style="border-style:none"/>
     but , all this didnot worked .
     any other thing you would like to recommend 
     

     

    Friday, June 04, 2010 2:54 PM
  • Please check that you have the latest Silverlight runtime installed.

     

    Friday, June 04, 2010 11:29 PM
  •  it's 4.0.50524.0

    i have checked it using following method.

    there was only 1 folder at this location C:\Program Files (x86)\Microsoft Silverlight

    , secondly , in add remove programs , i clicked Microsoft Silverlight , and it showed me the version it was 4.0.50524.0.

    thanks

    Jamal.

    Saturday, June 05, 2010 5:39 AM
  •  I am stuck now ! what to do ?

    Saturday, June 05, 2010 3:54 PM
  • Please uninstall the developer runtime and install it again.

    Install the developer runtime from here: Windows developer runtime or Mac developer runtime.

     

    Saturday, June 05, 2010 10:25 PM
  •  did it . but it didnot worked for me .

    Sunday, June 06, 2010 7:24 AM
  • Hi,

       Please, check whether Silverlight Run Time and Silverlight 4 SDK versions are same

    Best Regards

    Monday, June 07, 2010 2:06 AM
  •  no they are not same

    silverlight version is 4.0.50524.0
    sdk version is 4.0.50303.0
     

    i didnot gave any importance to this because as per this post , "there is no tooling to sdk for this release"

    anyways , what r you recommendations now ?

    P.S

    even when i make any new silveright application , the same issue appears.

    Monday, June 07, 2010 5:39 AM
  • Hi,

       From what I can see it's a end-user runtime patch, that's why you cant find a correspondent tools or sdk.

       IMO, you may need to unstall it, and install a Silverlight tool, then you can get a match developer runtime and sdk.

    Best Regads

    Monday, June 07, 2010 10:25 PM
  •  i shifted from vs2010 RC to released vs2010 and then installed silverlights tools for visual studio 2010 and all went well.

    Tuesday, June 08, 2010 8:37 AM